using System.Threading.Tasks;
using Api.Tests;
using NUnit.Framework;

namespace IssueDotnetCore603;

public class Tests
{
    private ApiWebApplicationFactory _factory = new ApiWebApplicationFactory();
    
    [SetUp]
    public void Setup()
    {
    }

    [Test]
    public async Task Test1()
    {
        var client = _factory.CreateClient();
        var responseMessage = await  client.GetAsync("");
        var result = await responseMessage.Content.ReadAsStringAsync();
        Assert.AreEqual(result, "Hello World!");
    }
}